
name: Version Bump Action
description: Increase version number based on commits
inputs:
  gitea_token:
    required: true
    description: 'Gitea token'
  gitea_repo:
    required: true
    description: 'Repo name'
  gitea_actor:
    required: false
    description: 'Gitea actor'
  default_base_version_tag:
    required: false
    default: 0.0.1
    description: 'Default version tag for unversioned repositories'
  majorKeywords:
    default: '[MAJOR], [BREAKING]'
    description: 'Comma-separated list of keywords to trigger major version increment'
    required: true
  minorKeywords:
    default: '[MINOR], [ADD], [ADDITION]'
    description: 'Comma-separated list of keywords to trigger minor version increment'
    required: true
outputs:
  newTag:
    description: 'The new version tag'
  revNewVersion:
    description: 'The new revision number'
  patchNotes:
    description: 'Patchnote markdown body'
runs:
  using: 'node20'
  main: 'index.js'